Subject: Re: Re[2]: Spaces in home directory
From: "Erdely, Michael" <[email-masked]>
To: "andy.philpotts" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 10 Oct 2000 10:28:53 -0400

Andy,
  I understand what you're saying and that will work fine for "Program
Files" if you haven't done a double install of NT or for some other reason,
NT doesn't use progra~2.
  Since both NT and *nix support long file names with spaces and *nix
(Cygwin) supports "escaping" spaces, referring to "Program Files" as
Program\ Files works like a charm.  And you never have to worry if you're
referring to "Windows NT" (WINDOW~1), "Windows Media Player" (WINDOW~2) or
"WindowsUpdate" (WINDOW~3).
  I just performed the following steps in my Cygwin BASH shell:
[merdely@neptune]~:$ cd /
[merdely@neptune]/:$ mkdir home2k
[merdely@neptune]/:$ mount -s c:/documents\ and\ settings/ /home2k
[merdely@neptune]/:$ cd /home2k
[merdely@neptune]/home2k:$ ls
All Users/     Default User/  MErdely/
[merdely@neptune]/home2k:$

Good luck,
-ME

----- Original Message -----
From: "Andy Philpotts" <[email-masked]>
To: "Erdely, Michael" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, October 10, 2000 7:20 AM
Subject: Re[2]: Spaces in home directory

> Hello Michael/Neil,
>
> I often see comments regarding spaces in pathnames, and if you can
> anticipate that will happen then one effective way round this is to use
> short file names. Every long, space-filled name has a short, 8.3
> equivalent, "program files" for example always seems to end up as
> progra~1. You can usefully take advantage of this, and, IMO, end up
> with easier to read paths (all those escape characters look pretty
> ugly!). To discover the short names, open cmd.exe (a normal dos
> prompt) and use dir /x, back to 8.3!
>
> Monday, October 09, 2000, 7:33:29 PM, you wrote:
>
> EM> You could mount C:\Documents and Settings to /home
>
> EM> mount c:/documents\ and\ settings/ /home
>
> EM> -ME
>
> EM> ----- Original Message -----
> EM> From: "Neil Zanella" <[email-masked]>
> EM> To: <[email-masked]>
> EM> Sent: Monday, October 09, 2000 7:14 PM
> EM> Subject: Spaces in home directory
>
>
> >>
> >> Hello,
> >>
> >> I have a question related to spaces in paths. As has already been
pointed
> >> out it is best to use a user name containing no spaces when using
cygwin.
> >> Howver please not that at least in Win2K all users are created under
> >> C:\Documents and Settings (for example user User's home directory would
> >> be C:\Documents and Settings\User). Will the two spaces in the path
cause
> >> trouble and if so is there a way around this?
> >>
> >> Thanks,
> >>
> >> Neil
> >>
> >>
> >> On Mon, 9 Oct 2000, Chris Faylor wrote:
> >>
> >> > These will all be in 1.1.5.  I've probably missed a few.
> >> >
> >> > - True UNIX style argument list passing to cygwin subprocesses.  No
more
> EM> strange
> >> >   quoting of the command line to preserver white space, etc.
> >> >
> >> > - True UNIX passing of environment variables to cygwin subprocesses.
No
> EM> more
> >> >   conversion back and forth between Windows and UNIX formats.
> >> >
> >> > - Improved (?) parameter passing, quoting, and parsing for non-cygwin
> EM> processes.
> >>
> >>
> >> --
> >> Want to unsubscribe from this list?
> >> Send a message to [email-masked]
> >>
> >>
>
>
> EM> --
> EM> Want to unsubscribe from this list?
> EM> Send a message to [email-masked]
>
>
>
> --
> Andy Philpotts
> Senior Software Developer
> CalendarCentral Inc.
> [w] 919/654-6200  xt.155
> [c] 919/656-1166
> [e] [email-masked]
> [www] www.calendarcentral.com
>
> Andy says: I used to be indecisive; now I'm not sure.
>
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]